#include<iostream>
#include<algorithm>
using namespace std;
int main()
{
    int n, q, a[10000], b[10000], temp, r, num;
    cin>>n>>q;
    for(int i=0; i<n; ++i)
    {
        cin>>a[i];
    }
    for(int i = 0; i<n; ++i)
    {
        for(int j = i+1; j<n; ++i)
        {
            if(a[i]>a[j])
            {
                temp=a[i];
                a[i]=a[j];
                a[j]=temp;
            }
        }
    }
    for(int i=0; i<q; ++i)
    {
        cin>>b[i];
        if(a[(n/2)+1]>b[i])
        {
            for(int j=0; j<n; ++j)
            {
                if(b[i]==a[j])
                {
                    num=(n/2)+1-j;
                }
            }   
        }
        else if(a[(n/2)+1]<b[i])
        {
            for(int j=0; j<n; ++j)
            {
                if(b[i]==a[j])
                {
                    num=j-(n/2)-1;
                }
            }
        }
        else
        {
            num = 0;
        }
        cout<<num<<endl;
    }
}